Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# String_Base.cpp File Reference

`#include "ace/ACE.h"`
`#include "ace/Malloc_Base.h"`
`#include "ace/String_Base.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/OS_NS_string.h"`

Include dependency graph for String_Base.cpp:

This graph shows which files directly or indirectly include this file:

## Functions
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &s, const ACE_String_Base< CHAR > &t)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const CHAR *s, const ACE_String_Base< CHAR > &t)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &s, const CHAR *t)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &t, const CHAR c)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const CHAR c, const ACE_String_Base< CHAR > &t)

## Function Documentation

template<class CHAR>
ACE_String_Base<CHAR> operator+ | ( | const CHAR | c,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | t,
|  | const CHAR | c
| ) |

template<class CHAR>
ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | s,
|  | const CHAR * | t
| ) |

template<class CHAR>
ACE_String_Base<CHAR> operator+ | ( | const CHAR * | s,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_String_Base<CHAR> operator+ | ( | const ACE_String_Base< CHAR > & | s,
|  | const ACE_String_Base< CHAR > & | t
| ) |